Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.documentation
[Groovy] Class DocumentationContextThreadLocal

    java.lang.Object
      java.lang.ThreadLocal
          java.lang.InheritableThreadLocal
              org.codehaus.groovy.grails.documentation.DocumentationContextThreadLocal

    class DocumentationContextThreadLocal
    extends java.lang.InheritableThreadLocal

Method Summary
`protected java.lang.Object` | `initialValue()`

Methods inherited from class java.lang.InheritableThreadLocal
java.lang.InheritableThreadLocal#get(), java.lang.InheritableThreadLocal#remove(), java.lang.InheritableThreadLocal#set(java.lang.Object), java.lang.InheritableThreadLocal#wait(), java.lang.InheritableThreadLocal#wait(long), java.lang.InheritableThreadLocal#wait(long, int), java.lang.InheritableThreadLocal#equals(java.lang.Object), java.lang.InheritableThreadLocal#toString(), java.lang.InheritableThreadLocal#hashCode(), java.lang.InheritableThreadLocal#getClass(), java.lang.InheritableThreadLocal#notify(), java.lang.InheritableThreadLocal#notifyAll()

Methods inherited from class java.lang.ThreadLocal
java.lang.ThreadLocal#get(), java.lang.ThreadLocal#remove(), java.lang.ThreadLocal#set(java.lang.Object), java.lang.ThreadLocal#wait(), java.lang.ThreadLocal#wait(long), java.lang.ThreadLocal#wait(long, int), java.lang.ThreadLocal#equals(java.lang.Object), java.lang.ThreadLocal#toString(), java.lang.ThreadLocal#hashCode(), java.lang.ThreadLocal#getClass(), java.lang.ThreadLocal#notify(), java.lang.ThreadLocal#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### initialValue

    protected java.lang.Object initialValue()

Groovy Documentation